#!/bin/bash

# on desactive les applets qui posent probleme avec le ltsp
gconftool-2 -t list --list-type string -s /apps/panel/default_setup/general/applet_id_list [clock,notification_area,show_desktop_button,window_list,workspace_switcher,trashapplet]
gconftool-2 -t bool -s /desktop/gnome/lockdown/disable_user_switching true

#Gestion du proxy
%if %%client_proxy == "oui"
gconftool-2 -t string -s  /system/proxy/mode manual

gconftool-2 -t string -s /system/http_proxy/host %%client_proxy_server
gconftool-2 -t int -s /system/http_proxy/port %%client_proxy_port
gconftool-2 -t bool -s /system/http_proxy/use_http_proxy true

gconftool-2 -t string -s /system/proxy/ftp_host %%client_proxy_server
gconftool-2 -t int -s  /system/proxy/ftp_port %%client_proxy_port

gconftool-2 -t string -s /system/proxy/secure_host %%client_proxy_server
gconftool-2 -t int -s  /system/proxy/secure_port %%client_proxy_port

gconftool-2 -t string -s /system/proxy/socks_host %%client_proxy_server
gconftool-2 -t int -s  /system/proxy/socks_port %%client_proxy_port

export http_proxy=http://%%client_proxy_server:%%client_proxy_port
export ftp_proxy=ftp://%%client_proxy_server:%%client_proxy_port

%else
gconftool-2 -t string -s  /system/proxy/mode none
gconftool-2 -t bool -s /system/http_proxy/use_http_proxy false

unset http_proxy
unset ftp_proxy

%end if
